Last Comment Bug 626792 - Content view contentWidth/Height do not update immediately after scaling
: Content view contentWidth/Height do not update immediately after scaling
Status: RESOLVED FIXED
: mobile
Product: Core
Classification: Components
Component: IPC (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla8
Assigned To: Benjamin Stover (:stechz)
:
: Bill McCloskey (:billm)
Mentors:
Depends on: 673122
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-18 13:52 PST by Benjamin Stover (:stechz)
Modified: 2011-07-21 10:27 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Content view contentWidth/Height do not update immediately after scaling (10.61 KB, patch)
2011-07-15 14:30 PDT, Benjamin Stover (:stechz)
roc: review+
mbrubeck: review+
Details | Diff | Splinter Review

Description Benjamin Stover (:stechz) 2011-01-18 13:52:53 PST
This is because the properties are updated only during painting.

See:
https://bugzilla.mozilla.org/attachment.cgi?id=501722&action=diff
Comment 1 Chris Jones [:cjones] inactive; ni?/f?/r? if you need me 2011-01-18 14:52:17 PST
What's the bug here?  Who's affected and to what extent?  "Scaling": where, fuzzy-scaling in the chrome process?
Comment 2 Benjamin Stover (:stechz) 2011-01-18 15:25:33 PST
(In reply to comment #1)
> What's the bug here?  Who's affected and to what extent?  "Scaling": where,
> fuzzy-scaling in the chrome process?

Fennec is affected and nothing else really. We have code that will set fuzzy scale and then scroll to a place based on how big it thinks the content is. If contentWidth/contentHeight aren't adjusted immediately, then we are clipping scroll values to the wrong numbers.
Comment 3 Benjamin Stover (:stechz) 2011-07-15 14:30:42 PDT
Created attachment 546227 [details] [diff] [review]
Content view contentWidth/Height do not update immediately after scaling
Comment 4 Benjamin Stover (:stechz) 2011-07-15 14:32:32 PDT
Roc: this patch ensures that nsContentView's properties (that are in "shadow space") are immediately updated once scale is changed.
Comment 5 Robert O'Callahan (:roc) (email my personal email if necessary) 2011-07-17 17:00:15 PDT
Comment on attachment 546227 [details] [diff] [review]
Content view contentWidth/Height do not update immediately after scaling

Review of attachment 546227 [details] [diff] [review]:
-----------------------------------------------------------------
Comment 6 Matt Brubeck (:mbrubeck) 2011-07-18 10:32:20 PDT
Comment on attachment 546227 [details] [diff] [review]
Content view contentWidth/Height do not update immediately after scaling

r=mbrubeck for the mobile patch
Comment 7 Benjamin Stover (:stechz) 2011-07-18 11:07:49 PDT
Pushed to inbound http://hg.mozilla.org/integration/mozilla-inbound/rev/cf0b3329da8c
Comment 8 Marco Bonardo [::mak] 2011-07-19 07:25:20 PDT
http://hg.mozilla.org/mozilla-central/rev/cf0b3329da8c

Note You need to log in before you can comment on or make changes to this bug.